namespace ReflectiveRapidJSON {
namespace JsonReflector {

// define code for (de)serializing LibRepoMgr::ServiceStatus objects
template <> LIBREPOMGR_EXPORT void push<::LibRepoMgr::ServiceStatus>(const ::LibRepoMgr::ServiceStatus &reflectable, ::RAPIDJSON_NAMESPACE::Value::Object &value, ::RAPIDJSON_NAMESPACE::Document::AllocatorType &allocator)
{
    // push base classes
    // push members
    push(reflectable.version, "version", value, allocator);
    push(reflectable.url, "url", value, allocator);
    push(reflectable.config, "config", value, allocator);
    push(reflectable.actions, "actions", value, allocator);
    push(reflectable.presets, "presets", value, allocator);
    push(reflectable.defaultArch, "defaultArch", value, allocator);
    push(reflectable.resourceUsage, "resourceUsage", value, allocator);
}
} // namespace JsonReflector
} // namespace ReflectiveRapidJSON
